Page MenuHome

(Delayed) Laggy Viewport, and slow Grease Pencil undo (Resolved on restart, then gets worse again)
Needs Triage, NormalPublic

Description

System Information
Operating system: Windows-10-10.0.19041-SP0 64 Bits
Graphics card: Intel(R) Iris(R) Plus Graphics 640 Intel 4.5.0 - Build 27.20.100.8854

Blender Version
Broken: version: 2.93.0 Alpha, branch: master, commit date: 2021-03-05 06:10, hash: rBb5d154f400e4
Worked: version 2.92 (a build from mid January)

Short description of error
After using Blender for a few minutes, the viewport gets very laggy. Just trying to move a small cube, results in a delay of ~1 second for the object to catch up to the mouse if I quickly try to move it from one side of the viewport to the other. This seems to happen when I have both 3D objects and Grease pencil strokes. Possibly also connected, undoing grease pencil is very slow.

Exact steps for others to reproduce the error


Both of these files were started from scratch with the 2D animation preset. I drew a little, made some shapes, Alt-D duplicated them. Everything worked perfectly, the viewport responded quickly, and undo worked with no noticeable delay. Then I continued to draw and duplicate, and at some point, everything grew sluggish (And continued that way). Moving an object resulted in a long lag, and undoing a grease pencil stroke resulted in a long lag. If I save the file, then re-open it, the lag continues. But if I close out Blender completely, then when I restart, the file behaves normally again. So it is something that is "building up" to eventually cause the lag, but closing blender clears it out and when it starts everything is fine again. This was not an issue with the mid-January build of 2.92 I had been using before installing the release 2.92 or the current 2.93 build.

I haven't been able to duplicate this on a faster computer with a graphics card, but it is very noticeable on this computer. Again, everything works perfectly once Blender is closed and re-opened, but then several minutes into working, the lag returns and becomes very difficult, causing me to have to restart the program many times in a session to continue working.

Thanks! Sorry I don't know exactly what is causing it.

Event Timeline

Germano Cavalcante (mano-wii) changed the task status from Needs Triage to Needs Information from User.Mar 9 2021, 3:24 PM

Can you check the System Console (Window -> Toggle System Console) to see if any error messages appear during lag?

I recorded a video, let me know if you want me to upload it somewhere.

During the lag, there were no console messages, but I did notice this message on Quit:
"Error: Not freed memory blocks: 8, total unfreed memory 0.000816 MB"

Germano Cavalcante (mano-wii) changed the task status from Needs Information from User to Needs Triage.Mar 11 2021, 2:01 PM

I have a hunch that this is caused by the built-in Add On "Add Images as Planes", or having too many image data blocks in the file.

I agree, it is the same issue and can be merged as such. It has something to do with 2D animation (but mine don't actually have animations). I think my comment on Apr11 is probably wrong. I noticed recently that just a simple file with a few strokes works perfectly right when I start Blender, but then after walking away and coming back ~1 hour later, it suddenly was extremely slow. Something seems to happen over time that bogs down blender in these 2D modes. I will see if I can reproduce it on second computer with a graphics card to see if that is related . .